PUT /api/saved_objects/{type}/{id}

Spaces method and path for this operation:

put /s/{space_id}/api/saved_objects/{type}/{id}

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Updates a single Kibana saved object by type and ID.

For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • type string Required

    The saved object type.

  • id string Required

    The saved object identifier.

application/json

Body

  • attributes object Required
  • references array[object]

    Not more than 1000 elements.

    Hide references attributes Show references attributes object
    • id string Required
    • name string Required
    • type string Required
  • upsert object
  • version string

Responses

  • 200 application/json

    A successful update response.

  • 404 application/json

    Not found.

  • 409 application/json

    A conflict error.

PUT /api/saved_objects/{type}/{id}
curl \
  -X PUT "${KIBANA_URL}/api/saved_objects/dashboard/example-dashboard-1" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{"attributes":{"title":"Updated dashboard title"},"references":[]}'
PUT kbn://api/saved_objects/dashboard/example-dashboard-1
{"attributes":{"title":"Updated dashboard title"},"references":[]}
Request example
{
  "attributes": {
    "title": "Updated dashboard title"
  },
  "references": []
}
Response examples (200)
{
  "attributes": {
    "title": "Updated dashboard title"
  },
  "id": "example-dashboard-1",
  "managed": false,
  "namespaces": [
    "default"
  ],
  "references": [],
  "type": "dashboard",
  "updated_at": "2026-04-17T12:00:00.000Z",
  "version": "WzIsMV0="
}
Response examples (404)
{
  "error": "Not Found",
  "message": "Saved object [dashboard/does-not-exist] not found",
  "statusCode": 404
}
Response examples (409)
{
  "error": "Conflict",
  "message": "Saved object [dashboard/example-dashboard-1] conflict",
  "statusCode": 409
}